SeaMonkey < 2.1 CSS Browser History Disclosure Vulnerability

Medium Nessus Plugin ID 57317


The remote Windows host contains a web browser that may be affected by an information disclosure vulnerability.


The installed version of SeaMonkey is earlier than 2.1.0 and is affected by an information disclosure vulnerability.

The JavaScript function 'getComputedStyle', and functions like it, can be used in a timing attack to determine if a browser has visited links on the page.


Upgrade to SeaMonkey 2.1.0 or later.

See Also

Plugin Details

Severity: Medium

ID: 57317

File Name: seamonkey_21.nasl

Version: $Revision: 1.4 $

Type: local

Agent: windows

Family: Windows

Published: 2011/12/15

Modified: 2016/05/13

Dependencies: 20862

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:seamonkey

Required KB Items: SeaMonkey/Version

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2010/06/10

Vulnerability Publication Date: 2010/03/31

Reference Information

CVE: CVE-2010-5074

BID: 51051

OSVDB: 77609